/* config.h -- Configuration file for bash. */

#ifndef _CONFIG_
#define _CONFIG_

#ifndef VOID
#define VOID void
#endif

#ifdef __GNUC__
#define alloca __builtin_alloca
#endif

#if defined (SUN386i) || defined (sparc)
#ifndef __GNUC__
#include <alloca.h>
#endif
#endif

#if defined (HPUX) && !defined (hpux)
#define hpux
#endif

#if defined (hpux) || defined (UNIXPC)
#define SYSV
#endif

/* Define NO_DUP2 if your OS doesn't have a dup2 () call. */
#ifdef hpux
#define NO_DUP2
#endif

/* Define JOB_CONTROL if your operating system supports
   BSD-like job control. */
#define JOB_CONTROL

/* Note that System V machines don't support job control. */
#if defined (SYSV) && !defined (HP9KS300)
#undef JOB_CONTROL
#endif /* SYSV && !HP9KS300 */

/* Define ALIAS if you want the alias features. */
#define ALIAS

/* Define PUSHD_AND_POPD if you want those commands to be installed.
   (Also the `dirs' commands.) */
#define PUSHD_AND_POPD

/* Define READLINE to get the nifty/glitzy editing features.
   This is on by default.  You can turn it off interactively
   with the -nolineediting flag. */
#define READLINE

/* The default value of the PATH variable. */
#define DEFAULT_PATH_VALUE \
	":/usr/gnu/bin:/usr/local/bin:/usr/ucb:/bin:/etc:/usr/etc"

/* Define V9_ECHO if you want to give the echo builtin backslash-escape
   interpretation, in the style of the Bell Labs 9th Edition version of
   echo. */
#define V9_ECHO

/* Defined CONTINUE_AFTER_KILL_ERROR if you want the kill command to
   continue processing arguments after one of them fails. */
/* #define CONTINUE_AFTER_KILL_ERROR */

/* Define NO_WAIT_H if your system doesn't seem to have sys/wait.h.
   This is true for HPUX and ALTOS. */
#if defined (HPUX) || defined (ALTOS)
#define NO_WAIT_H
#endif

#endif  /* _CONFIG_ */
